Subject: Re: [PATCH] sit: Fix ipip6_tunnel_lookup device matching criteria

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 14 Aug 2014 12:17:05 +0200

Le 14/08/2014 11:32, Shmulik Ladkani a écrit :
> As of 4fddbf5d78, when looking up a tunnel, tunnel's underlying
Please, put also the subject of the commit like this:
4fddbf5d7854 ("sit: strictly restrict incoming traffic to tunnel link device")

> interface (t->parms.link) is verified to match incoming traffic's
> ingress device.
>
> However the comparison was incorrectly based on skb->dev->iflink.
>
> Instead, dev->ifindex should be used, which correctly represents the
> interface from which the IP stack hands the ipip6 packets.
>
> This allows setting up sit tunnels bound to vlan interfaces (otherwise
> incoming ipip6 traffic on the vlan interface was dropped due to
> ipip6_tunnel_lookup match failure).
>
> Signed-off-by: Shmulik Ladkani <[email-masked]>
Acked-by: Nicolas Dichtel <[email-masked]>